<template>
<div>
  <Navbar/>
      <v-tabs
        background-color="green lighten-1" dark centered
      >
      <div style="padding: 15px;">
        <v-tab @click="id('travel')" :id="'travel'">
          <span class="textbtn">เที่ยวสนุก</span>
        </v-tab>
      </div>
      <div style="padding: 15px;">
        <v-tab  @click="id('food')" :id="'food'">
          <span class="textbtn">บุกของกิน</span>
        </v-tab>
      </div>
      <div style="padding: 15px;">
        <v-tab @click="id('shop')" :id="'shop'">
          <span class="textbtn">ถิ่นของช้อป</span>
        </v-tab>
      </div>
      <div style="padding: 15px;">
        <v-tab @click="id('fun')" :id="'fun'">
          <span class="textbtn">พร๊อพที่พัก</span>
        </v-tab>
      </div>
      </v-tabs>

    <div id="Accommodation" class="">
      <div v-for="(n,index) in imgss" :key="index">
        <div v-if="n.type_id === 1">
        <v-img  :src="pathh+n.pic_path" height="100%" >
          <div v-for="img in imgback" :key="img">
            <div v-if="img.id === 'เที่ยวสนุก'" >
              <v-img :src="require(`@/assets/${img.name}`)" height="200px" width="450px" class="mx-auto"></v-img>
            </div>
          </div>
              <Accommodation /></v-img>
      </div>
      </div>
    </div>
    <div id="Foodd" class="tab">
      <div v-for="(n,index) in imgss" :key="index">
        <div v-if="n.type_id === 2">
        <v-img  :src="pathh+n.pic_path" height="100%">
          <div v-for="img in imgback" :key="img">
            <div v-if="img.id === 'บุกของกิน'" >
              <v-img :src="require(`@/assets/${img.name}`)" height="200px" width="450px" class="mx-auto"></v-img>
            </div>
          </div>
          <Food />
        </v-img>
        </div>
      </div>
    </div>
    <div id="Shopping" class="tab">
      <div v-for="(n,index) in imgss" :key="index">
        <div v-if="n.type_id === 3">
        <v-img  :src="pathh+n.pic_path" height="100%">
          <div v-for="img in imgback" :key="img" >
            <div v-if="img.id === 'ถิ่นของช้อป'" >
              <v-img :src="require(`@/assets/${img.name}`)" height="200px" width="450px" class="mx-auto"></v-img>
            </div>
          </div>
        <Shopping />
        </v-img>
        </div>
      </div>
    </div>
    <div id="Funtrip" class="tab">
      <div v-for="(n,index) in imgss" :key="index">
        <div v-if="n.type_id === 4">
        <v-img  :src="pathh+n.pic_path" height="100%">
          <div v-for="img in imgback" :key="img" >
            <div v-if="img.id === 'พร๊อพที่พัก'" >
              <v-img :src="require(`@/assets/${img.name}`)" height="200px" width="450px" class="mx-auto"></v-img>
            </div>
          </div>
        <Funtrip /></v-img>
        </div>
      </div>
    </div>
</div>
</template>

<script>
import Navbar from '@/components/yuth/navbar_page.vue'
import Accommodation from '@/components/hong/traveldetail/accommodation.vue'
import Food from '@/components/hong/traveldetail/food.vue'
import Funtrip from '@/components/hong/traveldetail/funtrip.vue'
import Shopping from '@/components/hong/traveldetail/shopping.vue'
export default {
  components: {
    Navbar,
    Accommodation,
    Food,
    Funtrip,
    Shopping
  },
  data () {
    return {
      pathh: process.env.VUE_APP_API,
      imgss: [],
      imgback: [
        {
          id: 'เที่ยวสนุก',
          name: 'imgh1-1.png'
        },
        {
          id: 'บุกของกิน',
          name: 'imgh1-2.png'
        },
        {
          id: 'ถิ่นของช้อป',
          name: 'imgh1-3.png'
        },
        {
          id: 'พร๊อพที่พัก',
          name: 'imgh1-4.png'
        }
      ]
    }
  },
  created () {
    this.getData()
  },
  methods: {
    async getData () {
      console.log('object')
      try {
        var test = await this.axios.get(
          process.env.VUE_APP_API + '/api/content_backgroud'
        )
        console.log(test)
        this.imgss = test.data.data
        console.log('imgss', this.imgss)
      } catch (error) {
        console.log(error.message)
      }
    },
    id: function ($id) {
      console.log($id)
      if ($id === 'travel') {
        console.log($id)
        document.getElementById('Accommodation').style.display = 'block'
        document.getElementById('Foodd').style.display = 'none'
        document.getElementById('Shopping').style.display = 'none'
        document.getElementById('Funtrip').style.display = 'none'
      } else if ($id === 'food') {
        console.log($id)
        document.getElementById('Accommodation').style.display = 'none'
        document.getElementById('Foodd').style.display = 'block'
        document.getElementById('Shopping').style.display = 'none'
        document.getElementById('Funtrip').style.display = 'none'
      } else if ($id === 'shop') {
        console.log($id)
        document.getElementById('Accommodation').style.display = 'none'
        document.getElementById('Foodd').style.display = 'none'
        document.getElementById('Shopping').style.display = 'block'
        document.getElementById('Funtrip').style.display = 'none'
      } else if ($id === 'fun') {
        console.log($id)
        document.getElementById('Accommodation').style.display = 'none'
        document.getElementById('Foodd').style.display = 'none'
        document.getElementById('Shopping').style.display = 'none'
        document.getElementById('Funtrip').style.display = 'block'
      }
    }
  }
}
</script>
<style>
.tab {
  display: none;
}
.textbtn{
  color: #fff;
}
</style>
